Mail archive
alpine-aports

[alpine-aports] [PATCH 6/7] testing/perl-anyevent-influxdb: new aport

From: Nick Andrew <nick_at_nick-andrew.net>
Date: Sat, 13 Aug 2016 14:56:12 +0000

http://search.cpan.org/~ajgb/AnyEvent-InfluxDB-0.13
An asynchronous library for InfluxDB time-series database
---
 testing/perl-anyevent-influxdb/APKBUILD | 41 +++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent-influxdb/APKBUILD
diff --git a/testing/perl-anyevent-influxdb/APKBUILD b/testing/perl-anyevent-influxdb/APKBUILD
new file mode 100644
index 0000000..7f3eeba
--- /dev/null
+++ b/testing/perl-anyevent-influxdb/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <nick_at_nick-andrew.net>
+# Maintainer: Nick Andrew <nick_at_nick-andrew.net>
+pkgname=perl-anyevent-influxdb
+_pkgreal=AnyEvent-InfluxDB
+pkgver=0.13
+pkgrel=0
+pkgdesc="An asynchronous library for InfluxDB time-series database"
+url="http://search.cpan.org/dist/AnyEvent-InfluxDB/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-uri perl-list-moreutils perl-anyevent-http perl-uri-encode-xs perl-json perl-moo perl-anyevent"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AJ/AJGB/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	./Build && ./Build test
+}
+
+package() {
+	cd "$_builddir"
+	./Build install destdir="$pkgdir" || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d87b7782bb7b38b2365a795116294b3a  AnyEvent-InfluxDB-0.13.tar.gz"
+sha256sums="201d90d2681fe07afda28e0c76abb395a08595e170e063d302a56f422a74820f  AnyEvent-InfluxDB-0.13.tar.gz"
+sha512sums="ca097ee4638af9f9e5eca33ea1aa96557d85f9c94959116c37e7b9416a34571ed0d1d50523618262a6d96092d64282d901ae9e133a10b7983450188b03bae492  AnyEvent-InfluxDB-0.13.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 13 2016 - 14:56:12 GMT